	.arm
	.align
	.global initSystem
	.global main

initSystem:
	bx lr

main:
	mov r0,#0x04000000			@ I/O space offset
	mov r1,#0x3					@ Both screens on
	mov r2,#0x00020000			@ Framebuffer mode
	mov r3,#0x80				@ VRAM bank A enabled, LCD
 
	str r1,[r0, #0x304]			@ Set POWERCNT
	str r2,[r0]					@     DISPCNT 
	str r3,[r0, #0x240]			@     VRAMCNT_A
	
	@ Plot bitmap 180x21
	
	mov r5, #42					@ Y plots (Have no idea why I have to double it)
	ldr r2,=WarlogoBitmap		@ Source image
	mov r1,#0x06800000			@ Destination (screen ram)
	add r1,r1,#10240			@ move down the screen (256*40)
	
doy:
	mov r4, #180				@ X plots
	
dox:
	ldr r3,[r2],#2
	str r3,[r1],#2
	subs r4,r4,#2				@ 2 pixels ar a time
	bne dox
	
	add r1,r1,#76				@ Add the difference (carriage return) (256-180)
	subs r5,r5,#1
	
	bne doy
	
	
nf: b nf						@ Sit in an infinite loop to finish
